Create a new order

Creates a new order.

Body Params
integer

The business account's reference for the order (order ID). If a reference is specified, it must be unique (an error will not be returned if the reference supplied is not unique).

boolean

Whether the order is archived.

string

Usually a tracking URL for the shipment but can relate to anything.

integer
required

The ID of the status of the order.

billingAddress
object
required

The order's billing address. Where the country is USA, the province field will be substituted with state.

shippingAddress
object
required

The order's shipping address. Where the country is USA, the province field will be substituted with state.

string

The payment method of the order (e.g., PayPal, SagePay, eBay, Amazon).

number

The grand total of the order (including shipping).

number

The products subtotal for the order (excluding discounts). If tax is charged, it should be excluding tax.

number

The total cost of shipping after any shipping discounts were applied.

number

The total cost of shipping before any shipping discounts were applied.

number

The total amount of partial payments (e.g., gift vouchers or reward points) made on the order.

tax
object

The total tax on the order (products and shipping tax).

discounts
array of objects

Any discounts received on the order.

discounts
fees
array of objects

The transaction fee(s) on the order.

fees
integer
required

The ID of the shipping rate used for the order.

string

The postcode for the order applicable to the delivery rate (UK orders only where postcode shipping is enabled).

refunds
array of objects

Any refunds applied to the order.

refunds
products
array of objects
required

The products ordered. If tax is charged, the price should be listed without tax.

products*
string

Total weight of items in the order.

boolean

Whether the customer accepts marketing.

string

Any additional comments attached to the order.

customer
object

Details of the customer placing the order.

string

The delivery date requested by the customer.

string

The transaction ID returned by the payment gateway (Note: not all gateways return a transaction ID).

integer

The number of reward points earned by the customer for the order.

boolean

Whether to send an order confirmation email to the customer.

externalFulfillment
object

The fulfillment centre that should be assigned to the order.

Responses

400

Invalid request body.

401

Unauthorized. Invalid or missing API key.

500

Server error.

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json